Bug 170012

Summary: [GTK] Please add po/Makevars
Product: WebKit Reporter: Piotr Drąg <piotrdrag>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: berto, bugs-noreply, buildbot, cgarcia, commit-queue, gns, mcatanzaro, piotrdrag
Priority: P2 Keywords: Gtk
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=171257
Attachments:
Description Flags
Makevars for WebKitGTK+
none
Makevars for WebKitGTK+
none
[GTK] Fix extraction of translator comments
mcatanzaro: review-, mcatanzaro: commit-queue-
[GTK] Add po/Makevars none

Description Piotr Drąg 2017-03-23 11:04:26 PDT
Damned-lies doesn’t support CMake, which causes bugs like <https://bugzilla.gnome.org/show_bug.cgi?id=780458>. Adding a po/Makevars file to WebKitGTK+ would easily work around that problem. You could use <https://git.gnome.org/browse/epiphany/tree/po/Makevars> after adjusting it for WebKitGTK+ (mainly XGETTEXT_OPTIONS).
Comment 1 Piotr Drąg 2017-04-24 09:45:34 PDT
Created attachment 307984 [details]
Makevars for WebKitGTK+

I was able to generate a POT file that looks correct with this Makevars file in po/.
Comment 2 Piotr Drąg 2017-04-24 09:52:14 PDT
Created attachment 307985 [details]
Makevars for WebKitGTK+

I changed the Bugzilla link to HTTPS and fixed extraction of translator comments. They don’t start with “TRANSLATORS:”, so po/CMakeLists.txt needs to be corrected as well.
Comment 3 Carlos Garcia Campos 2017-04-24 10:18:36 PDT
Even if this makefile is only for damned lies, I think it would be better, if possible, to actually use it from the cmake. Mainly because if we change the cmake file, we will for sure forget about this makefile.
Comment 4 Piotr Drąg 2017-04-24 10:33:57 PDT
Maybe you could put a comment in CMakeLists.txt to remind your future self to also update Makevars? :)

Damned Lies doesn’t support CMake and it’s very unlikely that it will ever do (if no one steps up and contributes it).
Comment 5 Michael Catanzaro 2017-04-24 11:42:53 PDT
A slightly-related problem is that I get the impression that only a few translations ever manage to migrate from damned-lies to WebKit. Maybe we should be syncing the translations all at once every six months, instead of expecting each translation teams to file new bugs all the time.
Comment 6 Piotr Drąg 2017-04-24 16:52:11 PDT
I agree that reporting a bug is too high of a barrier for translators, and a better solution would be very helpful. We need to fix the statistics first, though.
Comment 7 Piotr Drąg 2017-04-24 17:35:05 PDT
Created attachment 308027 [details]
[GTK] Fix extraction of translator comments

Removes “TRANSLATORS:” header from po/CMakeLists.txt, as it’s not used and might block extraction of translator comments.
Comment 8 Piotr Drąg 2017-04-24 17:35:51 PDT
Created attachment 308028 [details]
[GTK] Add po/Makevars

Adds po/Makevars, so we can switch https://l10n.gnome.org/module/webkit/ from intltool to pure gettext and get WEB_UI_STRING* strings extracted.
Comment 9 Michael Catanzaro 2017-04-24 18:43:55 PDT
Comment on attachment 308027 [details]
[GTK] Fix extraction of translator comments

Looks good, but please file a separate bug for this. Believe it or not, our tools can't handle two patches in the same bug. Thanks.
Comment 10 Michael Catanzaro 2017-04-24 18:47:15 PDT
Carlos, do you want to review the Makevars patch?
Comment 11 Carlos Garcia Campos 2017-04-25 00:11:44 PDT
Comment on attachment 308028 [details]
[GTK] Add po/Makevars

Ok. Thanks!
Comment 12 WebKit Commit Bot 2017-04-25 00:41:10 PDT
Comment on attachment 308028 [details]
[GTK] Add po/Makevars

Clearing flags on attachment: 308028

Committed r215725: <http://trac.webkit.org/changeset/215725>
Comment 13 WebKit Commit Bot 2017-04-25 00:41:12 PDT
All reviewed patches have been landed.  Closing bug.